metron-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From o...@apache.org
Subject [metron] branch master updated: METRON-1933 Improve build-utils helper scripts (JonZeolla via ottobackwards) closes apache/metron#1297
Date Thu, 24 Jan 2019 15:27:50 GMT
This is an automated email from the ASF dual-hosted git repository.

otto pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/metron.git


The following commit(s) were added to refs/heads/master by this push:
     new 65910d9  METRON-1933 Improve build-utils helper scripts (JonZeolla via ottobackwards)
closes apache/metron#1297
65910d9 is described below

commit 65910d9e7a720ac47a8584510ab75f59c0c9f362
Author: JonZeolla <Zeolla@gmail.com>
AuthorDate: Thu Jan 24 07:14:20 2019 -0500

    METRON-1933 Improve build-utils helper scripts (JonZeolla via ottobackwards) closes apache/metron#1297
---
 dev-utilities/build-utils/README.md            | 3 ++-
 dev-utilities/build-utils/list_dependencies.sh | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/dev-utilities/build-utils/README.md b/dev-utilities/build-utils/README.md
index 495a256..adf5ee7 100644
--- a/dev-utilities/build-utils/README.md
+++ b/dev-utilities/build-utils/README.md
@@ -21,7 +21,8 @@ The aim of the build utilities project is to provide some scripting
 around the care and maintenance of the building infrastructure.  At the
 moment the primary mission is around utilities that assist us manage the
 licenses of our dependencies and generate the appropriate notices or
-licenses.
+licenses.  These utilities assume you have already built the repo via `mvn
+clean install -DskipTests`.
 
 ## `dependencies_with_url.csv`
 This file is the reference file for all of our dependencies.
diff --git a/dev-utilities/build-utils/list_dependencies.sh b/dev-utilities/build-utils/list_dependencies.sh
index a56a5bd..4e81b7b 100755
--- a/dev-utilities/build-utils/list_dependencies.sh
+++ b/dev-utilities/build-utils/list_dependencies.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 #
 #  Licensed to the Apache Software Foundation (ASF) under one or more
 #  contributor license agreements.  See the NOTICE file distributed with
@@ -16,4 +16,4 @@
 #  limitations under the License.
 #
 
-{ mvn dependency:list ; mvn dependency:list -PHDP-2.5.0.0 ; } | grep "^\[INFO\]   " | awk
'{print $2}' | grep -v "org.apache" | grep -v "test" | grep -v "provided" | grep -v "runtime"
| grep -v ":system" |  sort | uniq
+{ mvn dependency:list || { echo "ERROR:  Failed to run mvn dependency:list" ; exit 1 ; }
; mvn dependency:list -PHDP-2.5.0.0 || { echo "ERROR:  Failed to run mvn dependency:list -PHDP-2.5.0.0"
; exit 1 ; } ; } | grep "^\[INFO\]   " | awk '{print $2}' | grep -v "org.apache" | grep -v
"test" | grep -v "provided" | grep -v "runtime" | grep -v ":system" |  sort | uniq


Mime
View raw message